Bug 1285189 - oracle jdk (and maybe also ibm) have different (wrong) jre links targets then openjdk
oracle jdk (and maybe also ibm) have different (wrong) jre links targets then...
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: java-1.8.0-oracle (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: jiri vanek
Lukas Zachar
: Reopened
: 1370068 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2015-11-25 03:32 EST by jiri vanek
Modified: 2017-11-01 20:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-06-06 11:58:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jiri vanek 2015-11-25 03:32:02 EST
Opendjdk treats jre links as /usr/lib/jvm/NVRA/jre
But (all)oracle jdks treats them as /usr/lib/jvm/jrelnkf_of_nvra

This is making eg S-S-J not working for jre swithces.

It would be nice to fix proprietary JDKS to follow openjdk example
Comment 2 jiri vanek 2016-06-08 10:28:57 EDT
This seems to be breaking SSJ
Comment 3 Deepak Bhole 2016-06-20 14:37:34 EDT
Due to risks involved with this that recently came to light, deferring to 7.4
Comment 4 jiri vanek 2016-08-25 05:00:50 EDT
*** Bug 1370068 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.